PDA

View Full Version : Update the servers, We can't join until they are.



xPeke
08-01-2016, 11:34 AM
title says it all, new csgo gloves update made it so our versions aren't compatible.